ros-rolling-launch-testing-examples (0.21.5-1noble) noble; urgency=high

  * improve test integrity with rmw_cyclonedds_cpp. (#440 <https://github.com/ros2/examples/issues/440>)
  * Contributors: Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 23 Mar 2026 23:00:00 -0000

ros-rolling-launch-testing-examples (0.21.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jan 2026 23:00:00 -0000

ros-rolling-launch-testing-examples (0.21.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-rolling-launch-testing-examples (0.21.2-1noble) noble; urgency=high

  * Fix setuptools deprecations (#421 <https://github.com/ros2/examples/issues/421>)
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-launch-testing-examples (0.21.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 30 Jun 2025 22:00:00 -0000

ros-rolling-launch-testing-examples (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Apr 2025 22:00:00 -0000

ros-rolling-launch-testing-examples (0.20.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Apr 2025 22:00:00 -0000

ros-rolling-launch-testing-examples (0.20.4-1noble) noble; urgency=high

  * Add test_xmllint.py. (#401 <https://github.com/ros2/examples/issues/401>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-launch-testing-examples (0.20.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-launch-testing-examples (0.20.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-launch-testing-examples (0.20.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-launch-testing-examples (0.20.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-launch-testing-examples (0.19.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-launch-testing-examples (0.19.2-1noble) noble; urgency=high

  * Cleanup the launch_testing_examples. (#374 <https://github.com/ros2/examples/issues/374>)
  * Refactor WaitForNodes class. (#373 <https://github.com/ros2/examples/issues/373>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-launch-testing-examples (0.19.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-launch-testing-examples (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-launch-testing-examples (0.18.0-1noble) noble; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#357 <https://github.com/ros2/examples/issues/357>)
  * Contributors: Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-launch-testing-examples (0.17.1-1noble) noble; urgency=high

  * increase the timeout for window platform to avoid flaky test (#355 <https://github.com/ros2/examples/issues/355>)
  * Contributors: Chen Lihui

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 23:00:00 -0000

ros-rolling-launch-testing-examples (0.17.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#352 <https://github.com/ros2/examples/issues/352>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-launch-testing-examples (0.16.2-1noble) noble; urgency=high

  * Increase the WaitForNode timeout. (#350 <https://github.com/ros2/examples/issues/350>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-launch-testing-examples (0.16.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-launch-testing-examples (0.16.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-launch-testing-examples (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-launch-testing-examples (0.14.0-1noble) noble; urgency=high

  * Readded WaitForTopics utility (#333 <https://github.com/ros2/examples/issues/333>)
  * Final batch of examples (#327 <https://github.com/ros2/examples/issues/327>)
  * Update maintainers to Aditya Pande and Shane Loretz (#332 <https://github.com/ros2/examples/issues/332>)
  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande, Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-launch-testing-examples (0.13.0-1noble) noble; urgency=high

  * Reverted WaitForTopics utility usage (#326 <https://github.com/ros2/examples/issues/326>)
  * Moved examples (#324 <https://github.com/ros2/examples/issues/324>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 22:00:00 -0000

ros-rolling-launch-testing-examples (0.12.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Aug 2021 22:00:00 -0000

ros-rolling-launch-testing-examples (0.11.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-rolling-launch-testing-examples (0.11.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-rolling-launch-testing-examples (0.11.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-launch-testing-examples (0.10.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-launch-testing-examples (0.10.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-launch-testing-examples (0.10.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-rolling-launch-testing-examples (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-rolling-launch-testing-examples (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-rolling-launch-testing-examples (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-launch-testing-examples (0.9.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-rolling-launch-testing-examples (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-rolling-launch-testing-examples (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 22:00:00 -0000

ros-rolling-launch-testing-examples (0.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-rolling-launch-testing-examples (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-rolling-launch-testing-examples (0.7.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-rolling-launch-testing-examples (0.7.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-rolling-launch-testing-examples (0.7.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-rolling-launch-testing-examples (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-rolling-launch-testing-examples (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-rolling-launch-testing-examples (0.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Nov 2018 23:00:00 -0000

ros-rolling-launch-testing-examples (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-rolling-launch-testing-examples (0.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jun 2018 22:00:00 -0000

ros-rolling-launch-testing-examples (0.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


